# List all accounting periods Retrieves all accounting periods on your tenant. Endpoint: GET /v1/accounting-periods Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. ## Response 200 fields (application/json): - `accountingPeriods` (array) An array of all accounting periods on your tenant. The accounting periods are returned in ascending order of start date; that is, the latest period is returned first. - `accountingPeriods.createdBy` (string) ID of the user who created the accounting period. - `accountingPeriods.createdOn` (string) Date and time when the accounting period was created. - `accountingPeriods.endDate` (string) The end date of the accounting period. - `accountingPeriods.fileIds` (object) File IDs of the reports available for the accounting period. You can retrieve the reports by specifying the file ID in a [Get Files](https://developer.zuora.com/api-references/api/operation/GET_Files) REST API call. - `accountingPeriods.fileIds.accountsReceivableAccountAgingDetailExportFileId` (string) File ID of the Accounts Receivable Aging Account Detail report. - `accountingPeriods.fileIds.accountsReceivableInvoiceAgingDetailExportFileId` (string) File ID of the Accounts Receivable Aging Invoice Detail report. - `accountingPeriods.fileIds.arRollForwardDetailExportFileId` (string) File ID of the Accounts Receivable Detail report. - `accountingPeriods.fileIds.fxRealizedGainAndLossDetailExportFileId` (string) File ID of the Realized Gain and Loss Detail report. Returned only if you have Foreign Currency Conversion enabled. - `accountingPeriods.fileIds.fxUnrealizedGainAndLossDetailExportFileId` (string) File ID of the Unrealized Gain and Loss Detail report. Returned only if you have Foreign Currency Conversion enabled - `accountingPeriods.fileIds.revenueDetailCsvFileId` (string) File ID of the Revenue Detail report in CSV format. - `accountingPeriods.fileIds.revenueDetailExcelFileId` (string) File ID of the Revenue Detail report in XLSX format. - `accountingPeriods.fileIds.unprocessedChargesFileId` (string) File ID of a report containing all unprocessed charges for the accounting period. - `accountingPeriods.fiscalYear` (integer) Fiscal year of the accounting period. - `accountingPeriods.fiscalQuarter` (integer) Fiscal quarter of the accounting period. - `accountingPeriods.id` (string) ID of the accounting period. - `accountingPeriods.name` (string) Name of the accounting period. - `accountingPeriods.notes` (string) Any optional notes about the accounting period. - `accountingPeriods.organizationLabels` (array) The organization(s) that the object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `accountingPeriods.organizationLabels.organizationId` (string) The organization ID. - `accountingPeriods.organizationLabels.organizationName` (string) The organization name. - `accountingPeriods.runTrialBalanceEnd` (string) Date and time that the trial balance was completed. If the trial balance status is Pending, Processing, or Error, this field is null. - `accountingPeriods.runTrialBalanceErrorMessage` (string) If trial balance status is Error, an error message is returned in this field. - `accountingPeriods.runTrialBalanceStart` (string) Date and time that the trial balance was run. If the trial balance status is Pending, this field is null. - `accountingPeriods.runTrialBalanceStatus` (string) Status of the trial balance for the accounting period. Possible values: * Pending * Processing * Completed * Error - `accountingPeriods.startDate` (string) The start date of the accounting period. - `accountingPeriods.status` (string) Status of the accounting period. Possible values: * Open * PendingClose * Closed - `accountingPeriods.updatedBy` (string) D of the user who last updated the accounting period. - `accountingPeriods.updatedOn` (string) Date and time when the accounting period was last updated. - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.